"""empty message

Revision ID: 19befd2455fb
Revises: 
Create Date: 2019-09-30 19:30:52.800985

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '19befd2455fb'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=30), nullable=False),
    sa.Column('mobile_no', sa.String(length=10), nullable=False),
    sa.Column('gender', sa.String(length=10), nullable=True),
    sa.Column('email_id', sa.String(length=30), nullable=False),
    sa.Column('password', sa.String(length=60), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_user_email_id'), 'user', ['email_id'], unique=True)
    op.create_index(op.f('ix_user_mobile_no'), 'user', ['mobile_no'], unique=True)
    op.create_table('contact',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('contact_name', sa.String(length=30), nullable=False),
    sa.Column('contact_no', sa.String(length=10), nullable=False),
    sa.Column('gender', sa.String(length=10), nullable=True),
    sa.Column('owner_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['owner_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_contact_contact_name'), 'contact', ['contact_name'], unique=False)
    op.create_index(op.f('ix_contact_contact_no'), 'contact', ['contact_no'], unique=False)
    op.create_table('message',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('message_body', sa.String(length=150), nullable=False),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.Column('sender_id', sa.Integer(), nullable=True),
    sa.Column('recipient_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['recipient_id'], ['contact.id'], ),
    sa.ForeignKeyConstraint(['sender_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_message_id'), 'message', ['id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_message_id'), table_name='message')
    op.drop_table('message')
    op.drop_index(op.f('ix_contact_contact_no'), table_name='contact')
    op.drop_index(op.f('ix_contact_contact_name'), table_name='contact')
    op.drop_table('contact')
    op.drop_index(op.f('ix_user_mobile_no'), table_name='user')
    op.drop_index(op.f('ix_user_email_id'), table_name='user')
    op.drop_table('user')
    # ### end Alembic commands ###
